USE [DB_SGTR_DEV]
GO
/****** Object:  Table [SGTR].[TB_SGTR_AMBIENTE]    Script Date: 08/06/2017 11:26:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [SGTR].[TB_SGTR_AMBIENTE](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ID_FILIAL] [varchar](6) NULL,
	[NOME] [varchar](50) NULL,
	[TIPO_LOCAL] [char](1) NULL,
	[DT_INICIO] [datetime] NULL,
	[DT_TERMINO] [datetime] NULL,
	[DT_ALTERACAO] [datetime] NOT NULL,
	[ID_USU_ALTERACAO] [int] NULL,
	[STATUS] [char](3) NULL,
 CONSTRAINT [PK_TB_SGTR_AMBIENTE] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO]    Script Date: 08/06/2017 11:26:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ID_AMBIENTE] [int] NULL,
	[ID_FUNCIONARIO] [int] NULL,
	[DESCRICAO_ATIVIDADES] [varchar](400) NULL,
	[DT_INICIO] [datetime] NULL,
	[DT_TERMINO] [datetime] NULL,
	[DT_ENVIO_ESOCIAL_S2241] [datetime] NULL,
	[DT_ENVIO_ESOCIAL_S2240] [datetime] NULL,
	[DT_ALTERACAO] [datetime] NOT NULL,
	[ID_USU_ALTERACAO] [int] NULL,
	[STATUS] [char](3) NULL,
 CONSTRAINT [PK_TB_SGTR_COMPETENCIA_HAS_FUNCIONARIO] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO]    Script Date: 08/06/2017 11:26:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ID_RISCO] [int] NULL,
	[ID_AMBIENTE] [int] NULL,
	[DT_INICIO] [datetime] NOT NULL,
	[DT_TERMINO] [datetime] NULL,
	[INTENSIDADE_CONCENTRACAO] [varchar](15) NULL,
	[ID_TEC_MEDICAO] [int] NULL,
	[UTILIZA_EPI] [char](1) NULL,
	[DT_ENVIO_ESOCIAL] [datetime] NULL,
	[DT_ALTERACAO] [datetime] NOT NULL,
	[ID_USU_ALTERACAO] [int] NULL,
	[STATUS] [char](3) NULL,
 CONSTRAINT [PK_TB_SGTR_COMPETENCIA_HAS_RISCO] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
/****** Object:  Table [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO]    Script Date: 08/06/2017 11:26:31 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
CREATE TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO](
	[ID] [int] IDENTITY(1,1) NOT NULL,
	[ID_AMBIENTE_RISCO] [int] NOT NULL,
	[ID_CA] [int] NOT NULL,
	[UTILIZA_EPC] [bit] NULL,
	[EPI_EFICAZ] [bit] NULL,
	[DT_ALTERACAO] [datetime] NOT NULL,
	[ID_USU_ALTERACAO] [int] NULL,
	[STATUS] [char](3) NULL,
 CONSTRAINT [PK__TB_SGTR___3214EC27038683F8] PRIMARY KEY CLUSTERED 
(
	[ID] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE] ADD  CONSTRAINT [DF_TB_SGTR_AMBIENTE_DT_ALTERACAO]  DEFAULT (getdate()) FOR [DT_ALTERACAO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE] ADD  CONSTRAINT [DF_TB_SGTR_AMBIENTE_STATUS]  DEFAULT ('A') FOR [STATUS]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO] ADD  CONSTRAINT [DF_TB_SGTR_AMBIENTE_HAS_FUNCIONARIO_DT_ALTERACAO]  DEFAULT (getdate()) FOR [DT_ALTERACAO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO] ADD  CONSTRAINT [DF_TB_SGTR_AMBIENTE_HAS_FUNCIONARIO_STATUS]  DEFAULT ('A') FOR [STATUS]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO] ADD  CONSTRAINT [DF_TB_SGTR_COMPETENCIA_HAS_RISCO_DATA_ALTERACAO]  DEFAULT (getdate()) FOR [DT_ALTERACAO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO] ADD  CONSTRAINT [DF_TB_SGTR_COMPETENCIA_HAS_RISCO_STATUS1]  DEFAULT ('A') FOR [STATUS]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO] ADD  CONSTRAINT [DF_TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO_DT_ALTERACAO]  DEFAULT (getdate()) FOR [DT_ALTERACAO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO] ADD  CONSTRAINT [DF_TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO_STATUS]  DEFAULT ('A') FOR [STATUS]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_AMBIENTE_TB_SGTR_FILIAL1] FOREIGN KEY([ID_FILIAL])
REFERENCES [SGTR].[TB_SGTR_FILIAL] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE] CHECK CONSTRAINT [FK_TB_SGTR_AMBIENTE_TB_SGTR_FILIAL1]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_AMBIENTE_HAS_FUNCIONARIO_TB_SGTR_AMBIENTE] FOREIGN KEY([ID_AMBIENTE])
REFERENCES [SGTR].[TB_SGTR_AMBIENTE] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO] CHECK CONSTRAINT [FK_TB_SGTR_AMBIENTE_HAS_FUNCIONARIO_TB_SGTR_AMBIENTE]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_FUNCIONARIO_TB_SGTR_FUNCIONARIO] FOREIGN KEY([ID_FUNCIONARIO])
REFERENCES [SGTR].[TB_SGTR_FUNCIONARIO] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_FUNCIONARIO] CHECK CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_FUNCIONARIO_TB_SGTR_FUNCIONARIO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_AMBIENTE_HAS_RISCO_TB_SGTR_AMBIENTE] FOREIGN KEY([ID_AMBIENTE])
REFERENCES [SGTR].[TB_SGTR_AMBIENTE] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO] CHECK CONSTRAINT [FK_TB_SGTR_AMBIENTE_HAS_RISCO_TB_SGTR_AMBIENTE]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_RISCO_TB_SGTR_RISCO] FOREIGN KEY([ID_RISCO])
REFERENCES [SGTR].[TB_SGTR_RISCO] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO] CHECK CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_RISCO_TB_SGTR_RISCO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_RISCO_TB_SGTR_TECNICA_MEDICAO1] FOREIGN KEY([ID_TEC_MEDICAO])
REFERENCES [SGTR].[TB_SGTR_TECNICA_MEDICAO] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO] CHECK CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_RISCO_TB_SGTR_TECNICA_MEDICAO1]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO_TB_SGTR_AMBIENTE_HAS_RISCO] FOREIGN KEY([ID_AMBIENTE_RISCO])
REFERENCES [SGTR].[TB_SGTR_AMBIENTE_HAS_RISCO] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO] CHECK CONSTRAINT [FK_TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO_TB_SGTR_AMBIENTE_HAS_RISCO]
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO]  WITH CHECK ADD  CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_RISCO_TB_SGTR_CERTIFICADO_EP] FOREIGN KEY([ID_CA])
REFERENCES [SGTR].[TB_SGTR_CERTIFICADO_EP] ([ID])
GO
ALTER TABLE [SGTR].[TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO] CHECK CONSTRAINT [FK_TB_SGTR_COMPETENCIA_HAS_RISCO_TB_SGTR_CERTIFICADO_EP]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Preencher com uma das opções:
1 - Estabelecimento do próprio empregador;
2 - Estabelecimento de Terceiros.
Valores Válidos: 1, 2.' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE', @level2type=N'COLUMN',@level2name=N'TIPO_LOCAL'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'''E'' - EXCLUIDO
''A'' - ATIVO
''I'' - INATIVO' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE', @level2type=N'COLUMN',@level2name=N'STATUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Descrição das atividades, físicas ou mentais, realizadas pelo
trabalhador, por força do poder de comando a que se submete. As
atividades deverão ser escritas com exatidão, e de forma sucinta,
com a utilização de verbos no infinitivo impessoal. Exemplos:
distribuir panfletos, operar máquina de envaze, etc. Deve ser
informado um registro para cada uma das atividades
desempenhadas pelo trabalhador.' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_FUNCIONARIO', @level2type=N'COLUMN',@level2name=N'DESCRICAO_ATIVIDADES'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Data do ultimo envio para o E-Social' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_FUNCIONARIO', @level2type=N'COLUMN',@level2name=N'DT_ENVIO_ESOCIAL_S2241'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Data do ultimo envio para o E-Social' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_FUNCIONARIO', @level2type=N'COLUMN',@level2name=N'DT_ENVIO_ESOCIAL_S2240'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'''E'' - EXCLUIDO
''A'' - ATIVO
''I'' - INATIVO' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_FUNCIONARIO', @level2type=N'COLUMN',@level2name=N'STATUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Intensidade ou Concentração da exposição do trabalhador ao fator
de risco cujo critério de avaliação seja quantitativo. Caso o fator
de risco seja qualitativo, preencher com "N/A" - (Não aplicável).' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_RISCO', @level2type=N'COLUMN',@level2name=N'INTENSIDADE_CONCENTRACAO'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Técnica utilizada para medição da intensidade ou concentração.' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_RISCO', @level2type=N'COLUMN',@level2name=N'ID_TEC_MEDICAO'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Utilização de EPI:
0 - Não se aplica;
1 - Não utilizado;
2 - Utilizado.
Valores Válidos: 0, 1, 2.' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_RISCO', @level2type=N'COLUMN',@level2name=N'UTILIZA_EPI'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Data do ultimo envio para o E-Social' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_RISCO', @level2type=N'COLUMN',@level2name=N'DT_ENVIO_ESOCIAL'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'''E'' - EXCLUIDO
''A'' - ATIVO
''I'' - INATIVO' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_HAS_RISCO', @level2type=N'COLUMN',@level2name=N'STATUS'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'O EPI é eficaz na atenuação dos riscos ao trabalhador?
S - Sim;
N - Não.
Valores Válidos: S, N.' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO', @level2type=N'COLUMN',@level2name=N'EPI_EFICAZ'
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'''E'' - EXCLUIDO
''A'' - ATIVO
''I'' - INATIVO' , @level0type=N'SCHEMA',@level0name=N'SGTR', @level1type=N'TABLE',@level1name=N'TB_SGTR_AMBIENTE_RISCO_HAS_CERTIFICADO', @level2type=N'COLUMN',@level2name=N'STATUS'
GO
